com.verisign.epp.codec.defReg

## Class EPPDefRegTransferCmd

- java.lang.Object
- - com.verisign.epp.codec.gen.EPPCommand
  - - com.verisign.epp.codec.gen.EPPTransferCmd
    - - com.verisign.epp.codec.defReg.EPPDefRegTransferCmd

- All Implemented Interfaces:
    EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

      public class EPPDefRegTransferCmd
      extends EPPTransferCmd

  Represents an EPP DefReg <transfer> command. The EPP <transfer> command provides a query operation that allows a client to determine real-time status of pending and completed transfer requests. In addition to the standard EPPhttp://www.niscom.nic.in/NISTXT/services/Ser1AA.htm command elements, the <transfer> command MUST contain an `op` attribute with value `query`, and a <defReg:transfer> element that identifies the defReg namespace and the location of the defReg schema. The <defReg:transfer> element SHALL contain the following child elements:
  - A <defReg:roid> element that contains that contains the roid of the object to be transferred
  - Use `getRoid` and `setRoid` to get and set the element.
  - An OPTIONAL <defReg:period> element that contains the initial registration period of the defReg object. Use `getPeriod` and `setPeriod` to get and set the element. If return `null`, period has not been specified yet.
  - An "op" attribute that identifies the transfer operation to be performed. Valid values, definitions, and authorizations for all attribute values are defined in [EPP]. Use `getOp` and `setOp` to get and set the element. One of the `EPPCommand.OP_` constants need to be specified.
  - A <defReg:authInfo> element that contains authorization information associated with the defReg object or authorization information associated with the defReg object's registrant or associated contacts. This element is REQUIRED only when a transfer is requested, and it SHALL be ignored if used otherwise. Use `getAuthInfo` and `setAuthInfo` to get and set the element. `EPPDefRegTransferResp` is the concrete `EPPReponse` associated with `EPPDefRegTransferCmd`.
  See Also:
    `EPPDefRegTransferResp`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPTransferCmd

      `op`

    - ### Fields inherited from class com.verisign.epp.codec.gen.EPPCommand

      `extensions, OP_APPROVE, OP_CANCEL, OP_QUERY, OP_REJECT, OP_REQUEST, transId, TYPE_CHECK, TYPE_CREATE, TYPE_DELETE, TYPE_INFO, TYPE_LOGIN, TYPE_LOGOUT, TYPE_POLL, TYPE_RENEW, TYPE_TRANSFER, TYPE_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPDefRegTransferCmd()` Allocates a new `EPPDefRegTransferCmd` with default attribute values.
    `EPPDefRegTransferCmd(java.lang.String aTransId, java.lang.String aOp, java.lang.String aRoid)` `EPPDefRegTransferCmd` constructor that takes the required attributes as arguments.
    `EPPDefRegTransferCmd(java.lang.String aTransId, java.lang.String aOp, java.lang.String aRoid, EPPAuthInfo aAuthInfo, EPPDefRegPeriod aPeriod)` `EPPDefRegTransferCmd` constructor that takes the required attributes plus the optional attibute `aPeriod`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPDefRegTransferCmd`.
    `protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPDefRegTransferCmd` attributes from the aElement DOM Element tree.
    `protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPDefRegTransferCmd` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPDefRegTransferCmd` with this instance.
    `EPPAuthInfo` | `getAuthInfo()` Get authorization information
    `java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPDefRegTransferCmd`.
    `EPPDefRegPeriod` | `getPeriod()` Gets the registration period of the transfer command in years.
    `java.lang.String` | `getRoid()` Gets the defReg name to query.
    `void` | `setAuthInfo(EPPAuthInfo newAuthInfo)` Set authorization information
    `void` | `setPeriod(EPPDefRegPeriod aPeriod)` Sets the registration period of the transfer command.
    `void` | `setRoid(java.lang.String aRoid)` Sets the defReg name to query.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPTransferCmd

      `doGenDecode, doGenEncode, getOp, getType, setOp`

    - ### Methods inherited from class com.verisign.epp.codec.gen.EPPCommand

      `addExtension, decode, encode, getExtension, getExtension, getExtensions, getTransId, hasExtension, hasExtensions, hasTransId, setExtension, setExtensions, setTransId`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPDefRegTransferCmd

          public EPPDefRegTransferCmd()

      Allocates a new `EPPDefRegTransferCmd` with default attribute values. the defaults include the following:
      - roid is set to `null`
      - period is set to `null`
      - authInfo is set to to `null`
      The transaction ID, operation, name, and authInfo must be set before invoking `encode`.

    - #### EPPDefRegTransferCmd

          public EPPDefRegTransferCmd(java.lang.String aTransId,
                                      java.lang.String aOp,
                                      java.lang.String aRoid)

      `EPPDefRegTransferCmd` constructor that takes the required attributes as arguments. The period attribute is set to `UNSPEC_PERIOD` and will not be included when `encode` is invoked.
      Parameters:
        `aTransId` - Transaction Id associated with the command.
        `aOp` - One of the `EPPCommand.OP_` constants associated with the transfer command.
        `aRoid` - DefReg roid to create.

    - #### EPPDefRegTransferCmd

          public EPPDefRegTransferCmd(java.lang.String aTransId,
                                      java.lang.String aOp,
                                      java.lang.String aRoid,
                                      EPPAuthInfo aAuthInfo,
                                      EPPDefRegPeriod aPeriod)

      `EPPDefRegTransferCmd` constructor that takes the required attributes plus the optional attibute `aPeriod`.
      Parameters:
        `aTransId` - Transaction Id associated with the command.
        `aOp` - One of the `EPPCommand.OP_` constants associated with the transfer command.
        `aRoid` - DefReg roid to create.
        `aAuthInfo` - Authorization Information for operating with the defReg.
        `aPeriod` - Registration period to be added to the defReg upon transfer.

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Gets the EPP command Namespace associated with `EPPDefRegTransferCmd`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Specified by:
        `getNamespace` in interface `EPPMessage`
      Specified by:
        `getNamespace` in class `EPPCommand`
      Returns:
        `EPPDefRegMapFactory.NS`

    - #### getAuthInfo

          public EPPAuthInfo getAuthInfo()

      Get authorization information
      Returns:
        EPPAuthInfo

    - #### setAuthInfo

          public void setAuthInfo(EPPAuthInfo newAuthInfo)

      Set authorization information
      Parameters:
        `newAuthInfo` - java.lang.String

    - #### doEncode

          protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                          throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPDefRegTransferCmd` instance.
      Specified by:
        `doEncode` in class `EPPTransferCmd`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Root DOM Element representing the `EPPDefRegTransferCmd` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPDefRegTransferCmd` instance.

    - #### doDecode

          protected void doDecode(org.w3c.dom.Element aElement)
                           throws EPPDecodeException

      Decode the `EPPDefRegTransferCmd` attributes from the aElement DOM Element tree.
      Specified by:
        `doDecode` in class `EPPTransferCmd`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPDefRegTransferCmd` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### getRoid

          public java.lang.String getRoid()

      Gets the defReg name to query.
      Returns:
        DefReg Name if defined; `null` otherwise.

    - #### setRoid

          public void setRoid(java.lang.String aRoid)

      Sets the defReg name to query.
      Parameters:
        `aRoid` - DefReg Name

    - #### getPeriod

          public EPPDefRegPeriod getPeriod()

      Gets the registration period of the transfer command in years.
      Returns:
        Registration Period in years if defined; `null` otherwise.

    - #### setPeriod

          public void setPeriod(EPPDefRegPeriod aPeriod)

      Sets the registration period of the transfer command.
      Parameters:
        `aPeriod` - Registration Period.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPDefRegTransferCmd` with this instance.
      Overrides:
        `equals` in class `EPPTransferCmd`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        DOCUMENT ME!

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPDefRegTransferCmd`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `EPPTransferCmd`
      Returns:
        clone of `EPPDefRegTransferCmd`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `EPPCommand`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

Copyright © VeriSign Inc. All Rights Reserved.